Download it now!
Bug 42134 - FORMATTING: Autofit doesn't work properly on long texts
Summary: FORMATTING: Autofit doesn't work properly on long texts
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
3.3.4 release
Hardware: All All
: medium major
Assignee: Vossman
URL:
Whiteboard: target:4.2.0 target:4.1.0.2
Keywords:
: 54434 56849 56851 58648 66354 (view as bug list)
Depends on:
Blocks: mab3.6
  Show dependency treegraph
 
Reported: 2011-10-23 13:49 UTC by jose.velez
Modified: 2013-07-31 12:18 UTC (History)
10 users (show)

See Also:
Crash report or crash signature:


Attachments
Image with the problem (105.73 KB, image/png)
2011-11-15 05:43 UTC, jose.velez
Details
autofit text with default wide display (226.36 KB, image/png)
2012-10-24 15:35 UTC, Vossman
Details
autofit text with default two pane template (159.83 KB, image/png)
2012-10-24 15:36 UTC, Vossman
Details
single line patch for auto-fitting text with long paragraphs (1.22 KB, patch)
2013-05-24 13:21 UTC, Vossman
Details

Note You need to log in before you can comment on or make changes to this bug.
Description jose.velez 2011-10-23 13:49:33 UTC
Using Kubuntu 11.10.

Open an empty presentation and use original design.
Add a new slide.
In the bullet region marked as "click to add text here" paste the following text:

Bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla.
Bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla, bla.

You can observe that the font size is too small. Also, you can observe that the "increase text" and "decrease text" buttons don't operate properly on the pasted text.
Comment 1 jose.velez 2011-10-24 01:22:49 UTC
Same problem using Ubuntu 11.04.
Comment 2 tester8 2011-11-13 01:55:37 UTC
NOT reproduced with

LO 3.4.4
Ubuntu 10.04.3 x86
Linux 2.6.32-35-generic Russian UI

New versions of Ubuntu specific?
Oh, non LTS versions of Ubuntu is so non LTS...
Comment 3 jose.velez 2011-11-15 05:43:55 UTC
Created attachment 53571 [details]
Image with the problem
Comment 4 sasha.libreoffice 2012-03-29 05:40:43 UTC
It is because "Fit to frame" option activated.
To disable this: right click on frame itself (not text inside), choose Text in context menu, tab "Text", option "Fit to frame".

But very strange this "Fit to frame" works:
1. When enabled, text is too small
2. When disabled: during editing, text shown only inside of frame (expected that all text). When exit editing, shown all text (expected that only part that in frame). 

Changing version to 3.3.4 as most early reproducible
Reproduced in 3.3.4 and 3.5.1 on Fedora 64 bit and Windows XP 32 bit
Comment 5 Vossman 2012-10-24 15:35:56 UTC
Created attachment 69004 [details]
autofit text with default wide display
Comment 6 Vossman 2012-10-24 15:36:27 UTC
Created attachment 69005 [details]
autofit text with default two pane template

completely unreadable
Comment 7 Vossman 2012-10-24 15:37:53 UTC
Still a problem in 3.6.3rc1 (See attachments)

This is becoming an annoying bug, not sure if it is font related, but I am constantly having to disable autofit text, then I change slide layout and have to disable it again!!!
Comment 8 Muthu 2012-11-02 10:54:49 UTC
@Vossman: Then you would have to disable autofit properties to the master slides, I assume (?)

Not a bug according to the current behavior.
Comment 9 Vossman 2012-11-02 22:22:32 UTC
@Muthu, obviously your suggestion is a valid work around for my situation. But the point is that autofit text is broken!
Comment 10 Muthu 2012-11-05 06:42:04 UTC
@Vossman: It would be nice to hear more detailed explanation than just "is broken". It is not clear what is broken and what is the fix (how should it be fixed) :(
Comment 11 Vossman 2012-11-05 14:23:22 UTC
Hi @Muthu please see the attachments and read the above comments, it is all well documented.
Comment 12 Mihkel Tõnnov 2012-11-20 14:00:46 UTC
This is terribly annoying. Using Debian Lenny and LibO 3.6.3 final release, with longer lines part of or all of the text in a text frame regularly gets squeezed together (rendering it completely illegible). Resizing the text frame usually works, but only until the text layout inside the frame changes -- terribly annoying.

Disabling "Fit to frame" is somewhat of a workaround, but this really should be fixed.

Adding this to earliest available MAB and upping importance a notch.
Comment 13 Marco Menardi 2013-02-08 18:37:54 UTC
3.5 has come to end of life in its cycle so we are confirming the bug still exists in LibreOffice 4 and if it does, confirming that it is indeed a MAB. 
I have confirmed this bug on: Version 4.0 rc3
Moving to 3.6 MAB
Comment 14 Vossman 2013-02-08 19:20:14 UTC
As reported above it still exists in 3.6, probably in 4.0.
Comment 15 Vossman 2013-05-23 02:16:27 UTC
*** Bug 58648 has been marked as a duplicate of this bug. ***
Comment 16 Vossman 2013-05-23 02:16:48 UTC
*** Bug 56851 has been marked as a duplicate of this bug. ***
Comment 17 Vossman 2013-05-24 13:21:18 UTC
Created attachment 79767 [details]
single line patch for auto-fitting text with long paragraphs
Comment 18 Vossman 2013-05-24 14:13:27 UTC
submitted my first patch to the project; works on both linux and mac. I submitted it to the mailing list as well.
Comment 19 bugquestcontri 2013-05-24 14:45:16 UTC
Thank you for your work! I am looking forward to use this result!
Comment 20 Vossman 2013-05-25 01:55:33 UTC
*** Bug 54434 has been marked as a duplicate of this bug. ***
Comment 21 Vossman 2013-05-25 01:55:47 UTC
*** Bug 56849 has been marked as a duplicate of this bug. ***
Comment 22 sergio.callegari 2013-06-21 17:19:06 UTC
I confirm that the bug is present in 4.0.4 RC2.

Auto fit text is currently broken to the point of being completely useless. If one has a text frame with a certain height h, most of the time the autofit text function ends producing text that is too small to fit height h and that commonly fills just 1/2 or even 1/3 of it.

Can the patch be applied to the 4.0.4 RCs or the 4.1 betas or RCs for wider testing? I understand it is now late with the release process of 4.0.4 and 4.1, but at worst it can only leave a broken feature broken.
Comment 23 Commit Notification 2013-06-22 02:02:01 UTC
Neil Voss (fourier) committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=bddf3bba1fa13b57a69f2bd5f7c7f96bb945066d

fdo#42134 FORMATTING: Autofit does not work properly on long texts



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 24 Commit Notification 2013-06-22 02:10:44 UTC
Neil Voss (fourier) committed a patch related to this issue.
It has been pushed to "libreoffice-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=aaa8271292afd913b9aef20f444ef261928943df&h=libreoffice-4-1

fdo#42134 FORMATTING: Autofit does not work properly on long texts


It will be available in LibreOffice 4.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 25 Vossman 2013-06-22 04:44:30 UTC
Thanks for pushing the patch, I am relatively new to git and I found the gerrit system a little confusing.
Comment 26 Jean-Baptiste Faure 2013-06-22 07:57:48 UTC
Tested on Version: 4.1.0.1.0+ (Build ID: aaa8271292afd913b9aef20f444ef261928943d) under Ubuntu 12.04 x86-64. Works as expected. Set as fixed. Thank you very much.
Comment 27 sasha.libreoffice 2013-06-24 06:50:26 UTC
thanks for fix and commit
Comment 28 Vossman 2013-07-31 12:18:11 UTC
*** Bug 66354 has been marked as a duplicate of this bug. ***